### Method

# Clutter Timeline add_marker

#### Declaration [src]

    void
    clutter_timeline_add_marker (
      ClutterTimeline* timeline,
      const gchar* marker_name,
      gdouble progress
    )

#### Description [src]

Adds a named marker that will be hit when the timeline has reached the specified `progress`.

Markers are unique string identifiers for a given position on the timeline. Once `timeline` reaches the given `progress` of its duration, if will emit a `ClutterTimeline::marker-reached` signal for each marker attached to that particular point.

A marker can be removed with `clutter_timeline_remove_marker()`. The timeline can be advanced to a marker using `clutter_timeline_advance_to_marker()`.

See also: `clutter_timeline_add_marker_at_time()`.

#### Parameters

`marker_name`

  Type: `const gchar*`

  The unique name for this marker.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`progress`

  Type: `gdouble`

  The normalized value of the position of the martke.